
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt &#8212; open-ViewMin  documentation</title>
    
  <!-- Loaded before other Sphinx assets -->
  <link href="../../../../_static/styles/theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">
<link href="../../../../_static/styles/pydata-sphinx-theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">

    
  <link rel="stylesheet"
    href="../../../../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css" />
    <link rel="stylesheet" href="../../../../_static/styles/sphinx-book-theme.css?digest=62ba249389abaaa9ffc34bf36a076bdc1d65ee18" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/graphviz.css" />
    
  <!-- Pre-loaded scripts that we'll load fully later -->
  <link rel="preload" as="script" href="../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf">

    <script data-url_root="../../../../" id="documentation_options" src="../../../../_static/documentation_options.js"></script>
    <script src="../../../../_static/jquery.js"></script>
    <script src="../../../../_static/underscore.js"></script>
    <script src="../../../../_static/doctools.js"></script>
    <script src="../../../../_static/scripts/sphinx-book-theme.js?digest=f31d14ad54b65d19161ba51d4ffff3a77ae00456"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="None">
    

    <!-- Google Analytics -->
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="60">
<!-- Checkboxes to toggle the left sidebar -->
<input type="checkbox" class="sidebar-toggle" name="__navigation" id="__navigation" aria-label="Toggle navigation sidebar">
<label class="overlay overlay-navbar" for="__navigation">
    <div class="visually-hidden">Toggle navigation sidebar</div>
</label>
<!-- Checkboxes to toggle the in-page toc -->
<input type="checkbox" class="sidebar-toggle" name="__page-toc" id="__page-toc" aria-label="Toggle in-page Table of Contents">
<label class="overlay overlay-pagetoc" for="__page-toc">
    <div class="visually-hidden">Toggle in-page Table of Contents</div>
</label>
<!-- Headers at the top -->
<div class="announcement header-item noprint"></div>
<div class="header header-item noprint"></div>

    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<!-- Sidebar -->
<div class="bd-sidebar noprint" id="site-navigation">
    <div class="bd-sidebar__content">
        <div class="bd-sidebar__top"><div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../../../../index.html">
      
      
      
      <h1 class="site-logo" id="site-title">open-ViewMin  documentation</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../../../../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        <ul class="current nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../readme.html">
   Overview
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../filters-tree.html">
   Filters tree
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../calculations.html">
   Calculations
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../GUI-reference.html">
   GUI Reference
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../LICENSE.html">
   License
  </a>
 </li>
 <li class="toctree-l1 current active has-children">
  <a class="reference internal" href="../../../index.html">
   API Reference
  </a>
  <input checked="" class="toctree-checkbox" id="toctree-checkbox-1" name="toctree-checkbox-1" type="checkbox"/>
  <label for="toctree-checkbox-1">
   <i class="fas fa-chevron-down">
   </i>
  </label>
  <ul class="current">
   <li class="toctree-l2 current active has-children">
    <a class="reference internal" href="../../index.html">
     <code class="xref py py-mod docutils literal notranslate">
      <span class="pre">
       open_viewmin
      </span>
     </code>
    </a>
    <input checked="" class="toctree-checkbox" id="toctree-checkbox-2" name="toctree-checkbox-2" type="checkbox"/>
    <label for="toctree-checkbox-2">
     <i class="fas fa-chevron-down">
     </i>
    </label>
    <ul class="current">
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../filter_tree_plot/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-3" name="toctree-checkbox-3" type="checkbox"/>
      <label for="toctree-checkbox-3">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filters/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filters
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/utilities/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.utilities
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/widgets/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.widgets
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filter_formulas/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_formulas
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filter_tree_plot/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_tree_plot
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/settings/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.settings
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 current active has-children">
      <a class="reference internal" href="../index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot_Qt
        </span>
       </code>
      </a>
      <input checked="" class="toctree-checkbox" id="toctree-checkbox-4" name="toctree-checkbox-4" type="checkbox"/>
      <label for="toctree-checkbox-4">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul class="current">
       <li class="toctree-l4">
        <a class="reference internal" href="../menus/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.menus
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../widgets_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.widgets_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4 current active">
        <a class="current reference internal" href="#">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../settings_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.settings_Qt
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../nematic/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.nematic
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-5" name="toctree-checkbox-5" type="checkbox"/>
      <label for="toctree-checkbox-5">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../nematic/jones/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.jones
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../nematic/nematic/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.nematic
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3">
      <a class="reference internal" href="../../open_viewmin/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.open_viewmin
        </span>
       </code>
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </div>
</nav></div>
        <div class="bd-sidebar__bottom">
             <!-- To handle the deprecated key -->
            
            <div class="navbar_extra_footer">
            Theme by the <a href="https://ebp.jupyterbook.org">Executable Book Project</a>
            </div>
            
        </div>
    </div>
    <div id="rtd-footer-container"></div>
</div>


          


          
<!-- A tiny helper pixel to detect if we've scrolled -->
<div class="sbt-scroll-pixel-helper"></div>
<!-- Main content -->
<div class="col py-0 content-container">
    
    <div class="header-article row sticky-top noprint">
        



<div class="col py-1 d-flex header-article-main">
    <div class="header-article__left">
        
        <label for="__navigation"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="right"
title="Toggle navigation"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-bars"></i>
  </span>

</label>

        
    </div>
    <div class="header-article__right">
<button onclick="toggleFullScreen()"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="bottom"
title="Fullscreen mode"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-expand"></i>
  </span>

</button>

<div class="menu-dropdown menu-dropdown-download-buttons">
  <button class="headerbtn menu-dropdown__trigger"
      aria-label="Download this page">
      <i class="fas fa-download"></i>
  </button>
  <div class="menu-dropdown__content">
    <ul>
      <li>
        <a href="../../../../_sources/api/open_viewmin/filter_tree_plot_Qt/filter_tree_plot_Qt/index.rst.txt"
   class="headerbtn"
   data-toggle="tooltip"
data-placement="left"
title="Download source file"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file"></i>
  </span>
<span class="headerbtn__text-container">.rst</span>
</a>

      </li>
      
      <li>
        
<button onclick="printPdf(this)"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="left"
title="Print to PDF"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file-pdf"></i>
  </span>
<span class="headerbtn__text-container">.pdf</span>
</button>

      </li>
      
    </ul>
  </div>
</div>
<label for="__page-toc"
  class="headerbtn headerbtn-page-toc"
  
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-list"></i>
  </span>

</label>

    </div>
</div>

<!-- Table of contents -->
<div class="col-md-3 bd-toc show noprint">
    <div class="tocsection onthispage pt-5 pb-3">
        <i class="fas fa-list"></i> Contents
    </div>
    <nav id="bd-toc-nav" aria-label="Page">
        <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#classes">
     Classes
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt">
       FilterTreePlotQt
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._assign_keypress_events">
         _assign_keypress_events
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._get_menu">
         _get_menu
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._init_procedures_after_data_import">
         _init_procedures_after_data_import
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._make_empty_convenience_arrays">
         _make_empty_convenience_arrays
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.actor_control_toolbars">
         actor_control_toolbars
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_filter_formula">
         add_filter_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_slice_with_controls">
         add_slice_with_controls
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_widget_formula">
         add_widget_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.choose_3_lights">
         choose_3_lights
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.choose_lightkit">
         choose_lightkit
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.customize_controls_dock">
         customize_controls_dock
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.initialize_plotter">
         initialize_plotter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.load_frame">
         load_frame
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.open_files_dialog">
         open_files_dialog
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.refresh">
         refresh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.remove_actor_completely">
         remove_actor_completely
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.remove_mesh_completely">
         remove_mesh_completely
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.rename_mesh">
         rename_mesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.save_HTML">
         save_HTML
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.save_mesh">
         save_mesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.set_actors_visibility">
         set_actors_visibility
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.show_editor">
         show_editor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_actor">
         update_actor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_filter">
         update_filter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_frame_spinbox">
         update_frame_spinbox
        </a>
       </li>
      </ul>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </nav>
</div>
    </div>
    <div class="article row">
        <div class="col pl-md-3 pl-lg-5 content-container">
            <!-- Table of contents that is only displayed when printing the page -->
            <div id="jb-print-docs-body" class="onlyprint">
                <h1>open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt</h1>
                <!-- Table of contents -->
                <div id="print-main-content">
                    <div id="jb-print-toc">
                        
                        <div>
                            <h2> Contents </h2>
                        </div>
                        <nav aria-label="Page">
                            <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#classes">
     Classes
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt">
       FilterTreePlotQt
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._assign_keypress_events">
         _assign_keypress_events
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._get_menu">
         _get_menu
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._init_procedures_after_data_import">
         _init_procedures_after_data_import
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._make_empty_convenience_arrays">
         _make_empty_convenience_arrays
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.actor_control_toolbars">
         actor_control_toolbars
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_filter_formula">
         add_filter_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_slice_with_controls">
         add_slice_with_controls
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_widget_formula">
         add_widget_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.choose_3_lights">
         choose_3_lights
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.choose_lightkit">
         choose_lightkit
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.customize_controls_dock">
         customize_controls_dock
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.initialize_plotter">
         initialize_plotter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.load_frame">
         load_frame
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.open_files_dialog">
         open_files_dialog
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.refresh">
         refresh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.remove_actor_completely">
         remove_actor_completely
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.remove_mesh_completely">
         remove_mesh_completely
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.rename_mesh">
         rename_mesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.save_HTML">
         save_HTML
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.save_mesh">
         save_mesh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.set_actors_visibility">
         set_actors_visibility
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.show_editor">
         show_editor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_actor">
         update_actor
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_filter">
         update_filter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_frame_spinbox">
         update_frame_spinbox
        </a>
       </li>
      </ul>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

                        </nav>
                    </div>
                </div>
            </div>
            <main id="main-content" role="main">
                
              <div>
                
  <section id="module-open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt">
<span id="open-viewmin-filter-tree-plot-qt-filter-tree-plot-qt"></span><h1><a class="reference internal" href="#module-open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt" title="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt"><code class="xref py py-mod docutils literal notranslate"><span class="pre">open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt</span></code></a><a class="headerlink" href="#module-open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt" title="Permalink to this headline">#</a></h1>
<p>Extend <cite>pyvistaqt.BackgroundPlotter</cite> functionality to include auto-updating
filter trees and more complete UI.</p>
<section id="module-contents">
<h2>Module Contents<a class="headerlink" href="#module-contents" title="Permalink to this headline">#</a></h2>
<section id="classes">
<h3>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">#</a></h3>
<table class="autosummary longtable table autosummary">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt" title="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt"><code class="xref py py-obj docutils literal notranslate"><span class="pre">FilterTreePlotQt</span></code></a></p></td>
<td><p>Implement some PyVista functionality, with filter trees, in the PyVistaQt</p></td>
</tr>
</tbody>
</table>
<dl class="py class">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.</span></span><span class="sig-name descname"><span class="pre">FilterTreePlotQt</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filenames</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">user_settings</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">theme</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">reader</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">ovm_utilities.fast_import</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt" title="Permalink to this definition">#</a></dt>
<dd><p>Bases: <a class="reference internal" href="../../filter_tree_plot/filter_tree_plot/index.html#open_viewmin.filter_tree_plot.filter_tree_plot.FilterTreePlot" title="open_viewmin.filter_tree_plot.filter_tree_plot.FilterTreePlot"><code class="xref py py-obj docutils literal notranslate"><span class="pre">open_viewmin.filter_tree_plot.filter_tree_plot.FilterTreePlot</span></code></a>, <code class="xref py py-obj docutils literal notranslate"><span class="pre">pyvistaqt.BackgroundPlotter</span></code></p>
<p>Implement some PyVista functionality, with filter trees, in the PyVistaQt
GUI</p>
<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._assign_keypress_events">
<span class="sig-name descname"><span class="pre">_assign_keypress_events</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._assign_keypress_events" title="Permalink to this definition">#</a></dt>
<dd><p>Assign keyboard keys to actions.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._get_menu">
<em class="property"><span class="pre">static</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">_get_menu</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">parent</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">title</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._get_menu" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._init_procedures_after_data_import">
<span class="sig-name descname"><span class="pre">_init_procedures_after_data_import</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._init_procedures_after_data_import" title="Permalink to this definition">#</a></dt>
<dd><p>Initialization steps that can be carried out only after some data
is imported</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._make_empty_convenience_arrays">
<span class="sig-name descname"><span class="pre">_make_empty_convenience_arrays</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt._make_empty_convenience_arrays" title="Permalink to this definition">#</a></dt>
<dd><p>Initialize arrays to hold data and filters tree information.</p>
<dl class="field-list simple">
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>None</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.actor_control_toolbars">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">actor_control_toolbars</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.actor_control_toolbars" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_filter_formula">
<span class="sig-name descname"><span class="pre">add_filter_formula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_filter_formula" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_slice_with_controls">
<span class="sig-name descname"><span class="pre">add_slice_with_controls</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">scalars_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_slice_with_controls" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_widget_formula">
<span class="sig-name descname"><span class="pre">add_widget_formula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.add_widget_formula" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.choose_3_lights">
<span class="sig-name descname"><span class="pre">choose_3_lights</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.choose_3_lights" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.choose_lightkit">
<span class="sig-name descname"><span class="pre">choose_lightkit</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.choose_lightkit" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.customize_controls_dock">
<span class="sig-name descname"><span class="pre">customize_controls_dock</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.customize_controls_dock" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.initialize_plotter">
<span class="sig-name descname"><span class="pre">initialize_plotter</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.initialize_plotter" title="Permalink to this definition">#</a></dt>
<dd><p>Override parent class’s plotter initialization to use
pyvistaqt’s Backgroundplotter instead of pyvista’s Plotter</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.load_frame">
<span class="sig-name descname"><span class="pre">load_frame</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">frame_num</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.load_frame" title="Permalink to this definition">#</a></dt>
<dd><p>Use one of the imported data files as the source for all datasets</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.open_files_dialog">
<span class="sig-name descname"><span class="pre">open_files_dialog</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">sort</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.open_files_dialog" title="Permalink to this definition">#</a></dt>
<dd><p>Use GUI to select files to import</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.refresh">
<span class="sig-name descname"><span class="pre">refresh</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.refresh" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.remove_actor_completely">
<span class="sig-name descname"><span class="pre">remove_actor_completely</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">actor_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.remove_actor_completely" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.remove_mesh_completely">
<span class="sig-name descname"><span class="pre">remove_mesh_completely</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">remove_children</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.remove_mesh_completely" title="Permalink to this definition">#</a></dt>
<dd><p>Remove a mesh (filter or actor) from the plotter and from the filters
tree.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>mesh_name</strong> (<em>str</em>) – Name of mesh to remove.</p></li>
<li><p><strong>remove_children</strong> (<em>bool</em><em>, </em><em>optional</em>) – Whether to recursively remove all meshes descended from this mesh
in the filters tree.</p></li>
</ul>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>None</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.rename_mesh">
<span class="sig-name descname"><span class="pre">rename_mesh</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">from_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">to_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.rename_mesh" title="Permalink to this definition">#</a></dt>
<dd><p>Copy a mesh in the filters tree by copying its recipe.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>from_name</strong> (<em>str</em>) – Name of mesh to copy.</p></li>
<li><p><strong>to_name</strong> (<em>str</em>) – Name of new mesh.</p></li>
<li><p><strong>do_refresh</strong> (<em>bool</em><em>, </em><em>optional</em>) – Whether to create the mesh anew from its filter after renaming.</p></li>
</ul>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>None</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.save_HTML">
<span class="sig-name descname"><span class="pre">save_HTML</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filename</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.save_HTML" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.save_mesh">
<span class="sig-name descname"><span class="pre">save_mesh</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_filename</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.save_mesh" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.set_actors_visibility">
<span class="sig-name descname"><span class="pre">set_actors_visibility</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">actor_or_actors</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">visibility</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.set_actors_visibility" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.show_editor">
<span class="sig-name descname"><span class="pre">show_editor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.show_editor" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_actor">
<span class="sig-name descname"><span class="pre">update_actor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">actor_name</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_actor" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_filter">
<span class="sig-name descname"><span class="pre">update_filter</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mesh_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">update_actor</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_filter" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_frame_spinbox">
<span class="sig-name descname"><span class="pre">update_frame_spinbox</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt.FilterTreePlotQt.update_frame_spinbox" title="Permalink to this definition">#</a></dt>
<dd><p>The seemingly circuitous route here to updating the frame-spinbox
with the current frame number is a hack to make sure the displayed
number updates cleanly.</p>
</dd></dl>

</dd></dl>

</section>
</section>
</section>


              </div>
              
            </main>
            <footer class="footer-article noprint">
                
    <!-- Previous / next buttons -->
<div class='prev-next-area'>
</div>
            </footer>
        </div>
    </div>
    <div class="footer-content row">
        <footer class="col footer"><p>
  
    By Daniel Beller<br/>
  
      &copy; Copyright 2022, Daniel Beller.<br/>
</p>
        </footer>
    </div>
    
</div>


      </div>
    </div>
  
  <!-- Scripts loaded after <body> so the DOM is not blocked -->
  <script src="../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf"></script>


  </body>
</html>